import { makeObservable } from "mobx";
// 用户信息
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";

class RegulationsCatConfig {
    static LIST: string = "regulations/catgory/list"
    static ADD: string = "regulations/catgory"
    static DELETE: string = "regulations/catgory"
    static EDIT: string = "regulations/catgory"
}
class RegulationsCat extends BaseStore<TagDataType> {
    constructor() {
        super(RegulationsCatConfig)
        makeObservable(this, {})
    }
}
export const regulationsCatStore = new RegulationsCat()

